.uwebi-floating-group .form-control,
.uwebi-floating-group .form-select {
    background-color: var(--uwebi-first-contrast);
    color: var(--uwebi-font-primary);
}

.uwebi-floating-group label {
    color: var(--uwebi-font-secondary);
}

.uwebi-floating-group label:active {
    margin-top: -6px;
}

.uwebi-floating-group .form-control:focus,
.uwebi-floating-group .form-select:focus {
    border-color: var(--uwebi-light-green);
    box-shadow: none;
}

.uwebi-input-border {
    border: 1px solid var(--uwebi-second-contrast) !important;
}

.uwebi-floating-group .form-floating > label::after {
    background: transparent !important;
}

.uwebi-submit-button {
    color: var(--uwebi-font-primary) !important;
    background: var(--uwebi-second-contrast) !important;
    border: 1px solid var(--uwebi-first-contrast) !important;
    text-decoration: none !important;
    transition: all 0.25s ease;
}

.uwebi-submit-button:hover {
    color: var(--uwebi-blue) !important;
    background: var(--uwebi-first-contrast) !important;
    border: 1px solid var(--uwebi-second-contrast) !important;
}

.uwebi-submit-button:active {
    transform: scale(0.98);
}

.uwebi-contact-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(var(--uwebi-third-contrast-rgb), 0.75); /* Nutzt --uwebi-third-contrast-rgb */
    /* z-index: 100; */
    display: flex;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(5px);
    border-radius: 0.5rem;
}

.uwebi-overlay-card {
    max-width: 380px !important;
}

.uwebi-blur-content {
    opacity: 0.3;
    filter: grayscale(0.5);
    pointer-events: none; /* Verhindert Interaktion mit dem Formular */
    user-select: none;    /* Verhindert Text-Markierung */
}